Bug 499587 - Cannot balloon a F-11 Xen domU guest above the initial starting memory
Cannot balloon a F-11 Xen domU guest above the initial starting memory
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Xen Maintainance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F11VirtTarget
  Show dependency treegraph
 
Reported: 2009-05-07 06:54 EDT by Chris Lalancette
Modified: 2011-06-02 14:52 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 523122 (view as bug list)
Environment:
Last Closed: 2011-06-02 14:52:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
dmesg from the guest, showing the e820 map (17.15 KB, text/plain)
2009-05-07 06:54 EDT, Chris Lalancette
no flags Details
Libvirt XML from the affected domain (1.16 KB, text/plain)
2009-05-07 06:54 EDT, Chris Lalancette
no flags Details

  None (edit)
Description Chris Lalancette 2009-05-07 06:54:17 EDT
Created attachment 342822 [details]
dmesg from the guest, showing the e820 map

Description of problem:
I have a F-11 domU configured with the following memory parameters (full libvirt XML is attached):

  <memory>15360000</memory>
  <currentMemory>786432</currentMemory>

With this configuration in place, and the dom0 appropriately ballooned, I should be able to set the amount of memory in the guest to any number between 0 and 15GB.  However, I can only balloon down below the "currentMemory" target, and back up to "currentMemory".  Anything about 768M (the starting value) just fails to allocate the memory to the domU.

This appears to at least partially be a problem with the e820 map.  I'll attach a full dmesg from the guest, but this snippet:

BIOS-provided physical RAM map:
 Xen: 0000000000000000 - 00000000000a0000 (usable)
 Xen: 00000000000a0000 - 0000000000100000 (reserved)
 Xen: 0000000000100000 - 0000000001fea000 (usable)
 Xen: 0000000001fea000 - 000000000216d000 (reserved)
 Xen: 000000000216d000 - 0000000030000000 (usable)

Shows that the guest only sees the e820 map up to 0x30000000, which is ~768M.  To be able to balloon, the guest would need to have the e820 map be all the way up to "memory" from the above XML.
Comment 1 Chris Lalancette 2009-05-07 06:54:56 EDT
Created attachment 342823 [details]
Libvirt XML from the affected domain
Comment 2 Chris Lalancette 2009-05-08 11:22:53 EDT
Miroslav,
     Another important piece of functionality that really should work.

Chris Lalancette
Comment 3 Bug Zapper 2009-06-09 11:18:18 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-04-27 10:10:39 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2011-06-02 14:06:40 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Chris Lalancette 2011-06-02 14:52:09 EDT
I have to imagine this works now, but I don't really have the time or setup to test anymore.  I'll close it as INSUFFICIENT_DATA, and someone else can open up a new bug if this is still a problem in the future.

Chris Lalancette

Note You need to log in before you can comment on or make changes to this bug.